API Reference
Auto-generated
Presets
API reference for presets endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.POST /api/v1/presets
POST
/api/v1/presetsCreate Preset
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| X-Organization-Id | string | Optional | X-Organization-Id |
| product | "scrape" | "crawl" | "map" | "extract" | "actions" | "embeddings" | "search" | "research" | Required | PresetProduct |
| name | string | Required | Name |
| scope | "user" | "org" | Optional | PresetScope |
| config | object | Optional | Config |
Request Example
Bash
curl -X POST https://api.alterlab.io/api/v1/presets \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"product": "...",
"name": "example_name"
}'Response Example
JSON
{
"status": "ok"
}GET /api/v1/presets
GET
/api/v1/presetsList Presets
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| product | "scrape" | "crawl" | "map" | "extract" | "actions" | "embeddings" | "search" | "research" | Optional | product |
| scope | "user" | "org" | Optional | scope |
| limit | integer | Optional | limitDefault: 50 |
| offset | integer | Optional | offsetDefault: 0 |
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/presets \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"presets": [],
"total": 0
}GET /api/v1/presets/{preset_id}
GET
/api/v1/presets/{preset_id}Get Preset
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| preset_id | string | Required | preset_id |
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/presets/<preset_id> \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"id": "example",
"product": "example",
"name": "example",
"scope": "example",
"user_id": "example",
"organization_id": "example"
}PATCH /api/v1/presets/{preset_id}
PATCH
/api/v1/presets/{preset_id}Update Preset
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| preset_id | string | Required | preset_id |
| X-Organization-Id | string | Optional | X-Organization-Id |
| name | string | Optional | name |
| scope | "user" | "org" | Optional | PresetScope |
| config | object | Optional | config |
| expected_version | integer | Optional | expected_version |
Request Example
Bash
curl -X PATCH https://api.alterlab.io/api/v1/presets/<preset_id> \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"id": "example",
"product": "example",
"name": "example",
"scope": "example",
"user_id": "example",
"organization_id": "example"
}DELETE /api/v1/presets/{preset_id}
DELETE
/api/v1/presets/{preset_id}Delete Preset
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| preset_id | string | Required | preset_id |
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X DELETE https://api.alterlab.io/api/v1/presets/<preset_id> \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"status": "ok"
}GET /api/v1/presets/{preset_id}/versions
GET
/api/v1/presets/{preset_id}/versionsList Preset Versions
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| preset_id | string | Required | preset_id |
| X-Organization-Id | string | Optional | X-Organization-Id |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/presets/<preset_id>/versions \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"versions": []
}